%define pre p2beta
%define _name xmpgedit
%define _ver 0-7

Name: mpgedit
Version: 0.7
Release: alt0.7%pre

Summary: mpgedit is an MP3 audio file editor
Group: Sound
License: GPL
Url: http://www.%name.org/

Source: http://wave.prohosting.com/numbr6/%{name}_%_ver%{pre}_src.tgz
Patch: %{name}_0-7beta-alt.patch

# Automatically added by buildreq on Tue Jun 01 2004
BuildRequires: XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libgtk+2-devel libncurses-devel libpango-devel libtinfo-devel pkgconfig

%description
mpgedit is an MPEG 1 layer 1/2/3 (MP3), MPEG 2, and MPEG 2.5 audio file
editor that is capable of processing both Constant Bit Rate (CBR) and
Variable Bit Rate (VBR) encoded files. mpgedit can cut an input MPEG
file into one or more output files, as well as join one or more input
MPEG files into a single output file. Since no decoding or encoding
occurs during editing, there is no audio quality loss when editing with
mpgedit. mpgedit features command line, curses-based, and graphical
interfaces. The curses and graphical versions feature an interactive
playback mode for fast selection and verification of edit begin and end
times.

%add_findprov_lib_path %_libdir/%name

%prep
%setup -q -n %{name}_%_ver%{pre}_src
%__mv %name/* ./
%__rm -rf %name
%patch -p1

%build
# SMP-incompatible build
%make -f makefile.linux

%install
%__install -d %buildroot{%_bindir,%_libdir/%name,%_man1dir,%_datadir/pixmaps/%_name}
%__install -m644 *.1 %buildroot%_man1dir/
%__install libdecoder_mpg123.so \
	    libdecoder_popen.so \
	    libmpglib_mpgedit.so %buildroot%_libdir/%name
%__install mpgedit \
	    mpgedit_nocurses \
	    mp3decoder.sh \
	    gui/xmpgedit \
	    %buildroot%_bindir

%__install -m644 gui/*.xpm %buildroot%_datadir/pixmaps/%_name/

%__rm -f %buildroot%_libdir/libmpgedit_decoder.so
%__ln_s libdecoder_mpg123.so %buildroot%_libdir/%name/libmpgedit_decoder.so

# menu for %_name
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/Sound" \
title="%_name" longtitle="An MP3 audio file editor" \
command="%_bindir/%_name" icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_libdir/%name
#%_iconsdir/*.png
#%_iconsdir/*/*/*/*.png
%_datadir/pixmaps/*
%_menudir/*
%_man1dir/*mp*
%_man1dir/decoder*
%doc AUTHORS ChangeLog README* TODO
%doc MP3Format.html

%changelog
* Tue Jun 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt0.7p2beta
- new version.

* Thu Oct 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt0.6p1beta
- new version.

* Sun May 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt0.5rc1
- First build for Sisyphus.

